org.apache.ignite.ml.preprocessing.developer

## Class MappedPreprocessor<K,V,L0,L1>

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.developer.MappedPreprocessor<K,V,L0,L1>

- Type Parameters:
    `K` - Type of key.
    `V` - Type of value.
    `L0` - Type of original label.
    `L1` - Type of mapped label.
  All Implemented Interfaces:
    Serializable, BiFunction<K,V,LabeledVector>, DeployableObject, IgniteBiFunction<K,V,LabeledVector>, Preprocessor<K,V>

      public final class MappedPreprocessor<K,V,L0,L1>
      extends Object
      implements Preprocessor<K,V>, DeployableObject

  Mapped Preprocessor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedPreprocessor(Preprocessor<K,V> original, IgniteFunction<LabeledVector<L0>,LabeledVector<L1>> andThen)` Creates an instance of MappedPreprocessor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LabeledVector<L1>` | `apply(K key, V value)`
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### MappedPreprocessor

          public MappedPreprocessor(Preprocessor<K,V> original,
                                    IgniteFunction<LabeledVector<L0>,LabeledVector<L1>> andThen)

      Creates an instance of MappedPreprocessor.

  - ### Method Detail

    - #### apply

          public LabeledVector<L1> apply(K key,
                                         V value)

      Specified by:
        `apply` in interface `BiFunction<K,V,LabeledVector>`

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021